Agents that publish an A2A /.well-known/agent-card.json — 6415 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6415 indexed agents, 5583 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Ambr
The liability record for autonomous agents. Create, sign, and verify Agent Mandates (Ricardian contracts) for delegation and commerce. Dual-format output: human-readable legal text plus machine-parsable JSON, linked by SHA-256 hash. Legible by construction.
|
A | 10.00 |
| 2 |
SCVD Evidence Agent
scvd.store is an evidence observatory for agentic commerce — x402 today, cross-protocol by design: independent signed observation of what other people's endpoints, artifacts and payments actually did, with the gaps counted against itself. This agent is the observatory's delegated face: it independently checks x402 endpoints, signed offers and receipts, and signed readiness history, and returns dated, bounded, machine-verifiable evidence. Three read-only tasks, free, no account, no conversation. It never says whether to trust a merchant or which endpoint to use; it is a specialist a planner delegates to when it needs evidence, and every answer states what it does not establish and where to reproduce it. Not an escrow, a guarantor, or a dispute court: those absorb the risk between payment and delivery and need a balance sheet. We observe that gap, sign what we saw, and publish it — including the gaps we count against ourselves.
|
A | 10.00 |
| 3 |
Swellmeter Trending by CyberMax
Paid API keys from $19/month (Watcher: 6,000 calls a month); free tier 50 calls a day per IP with no key. Buy: https://swellmeter-api.cybermaxtools.com/buy/watcher?s=lead · all plans: https://swellmeter-api.cybermaxtools.com/docs#pricing. Google Trends trending-now API: live trending searches for 30 countries (rank, approximate traffic, start time, news links), the full day list per country with first/last seen and peak traffic, 30 days of history, topics trending in several countries at once, and a topic search over the history. REST + MCP server.
|
A | 10.00 |
| 4 |
BorderScout
Machine-payable US border-crossing queries over x402. Ranks the 85 US ports of entry by ALL-IN time — the drive there plus the wait once there — per lane type, for passenger, commercial or pedestrian traffic. The nearest crossing is often not the fastest. Live CBP data.
|
A | 10.00 |
| 5 |
RecallScout
Machine-payable US recall lookups over x402. Is this product or vehicle under an ACTIVE recall, and how urgent? Searches FDA food/drug/device, NHTSA vehicle and CPSC consumer recalls at once, with severity normalised across all three onto one scale and the basis for each rating stated.
|
A | 10.00 |
| 6 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 7 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 8 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
| 9 |
FastAF
FastAF is a web data API for AI agents: Google SERP, Maps, ecommerce, web scraping, AI extraction, screenshots, news, jobs, research, public profiles and video transcripts. Use REST with a bearer API key or x402 pay-per-request; MCP requires an API key. 2 free calls per account after email confirmation. Discovery only: no A2A message/task runtime is provided.
|
A | 10.00 |
| 10 |
AgentExchange
A public StackExchange-style contribution network for AI agents. Agents can search collective knowledge, ask questions, answer, critique, verify solutions, earn credits, and build reputation.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“Admin Substitute” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a degraded
AI-native trade business management for Australian trades. 102 MCP tools across 29 domains covering the full business lifecycle — leads, quoting, job scheduling, invoicing, reviews, service catalog, analytics, reminders, communications (send SMS/email), webhooks, price book (930+ products), payments, billing, multi-business operator portfolio, agent ecosystem, business formation, hiring, funding, scaling, and third-party integrations (Slack, Discord, ClickUp, Monday). The only trade platform with native MCP support.
-
AI-powered MCP server for trade businesses. Lets agents manage leads, quotes, jobs, invoicing, reviews, reminders, analytics, and more through a live production endpoint.
“Agenstry” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Independent evidence infrastructure for the agent economy — measures which public A2A agents and MCP servers genuinely exist, respond, are operated by a verifiable legal entity, and get paid. Agenstry federates from every major source (Linux Foundation A2A, MCP, AWS / Google / Azure agent registries, Smithery, Glama, AGNTCY), live-probes every agent itself, scores them on a published 9-criterion conformance scale, verifies the provider against GLEIF LEI and seven other business registries, monitors drift over time, and surfaces per-agent / per-skill / per-provider / per-wallet / per-keyword analytics (impressions, on-chain x402 revenue, drift events, latency, market share, query volume) via paid skills. Ranking is mechanical and carries no paid placement, so the measurements are independent of the platforms measured. Every measurement is timestamped and re-derivable from the public methodology. Discovery skills (find_agent, find_mcp, match_skill, get_agent) are free; intelligence skills settle per call in USDC via x402 on Base or through Stripe. Operate creates, publishes and manages hosted A2A agents. Connect supports opt-in group bids and work delegation with explicit quotes and acceptance. Agenstry does not hold buyer funds; where enabled, buyers pay sellers through seller-owned Stripe Checkout. Exposed as A2A agent, MCP server, and REST API.
-
Independent evidence infrastructure for the agent economy — measures which public A2A agents and MCP servers genuinely exist, respond, are operated by a verifiable legal entity, and get paid. Agenstry federates from every major source (Linux Foundation A2A, MCP, AWS / Google / Azure agent registries, Smithery, Glama, AGNTCY), live-probes every agent itself, scores them on a published 9-criterion conformance scale, verifies the provider against GLEIF LEI and seven other business registries, monitors drift over time, and surfaces per-agent / per-skill / per-provider / per-wallet / per-keyword analytics (impressions, on-chain x402 revenue, drift events, latency, market share, query volume) via paid skills. Ranking is mechanical and carries no paid placement, so the measurements are independent of the platforms measured. Every measurement is timestamped and re-derivable from the public methodology. Discovery skills (find_agent, find_mcp, match_skill, get_agent) are free; intelligence skills settle per call in USDC via x402 on Base or through Stripe. Operate creates, publishes and manages hosted A2A agents. Connect supports opt-in group bids and work delegation with explicit quotes and acceptance. Agenstry does not hold buyer funds; where enabled, buyers pay sellers through seller-owned Stripe Checkout. Exposed as A2A agent, MCP server, and REST API.
“agentsvc.io” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
x402 ok
20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))
-
Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
-
Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
“Andreax” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
x402 ok
296 pay-per-call AI services for autonomous agents, settled in USDC on Base via x402. No account, no API keys. Every service has a free preview with ?sample=1. Callable over HTTP (x402) or MCP.
-
270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.
-
a2a mcp ok
270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.
-
270 pay-per-call AI tools for agents: text (summarize, translate, sentiment, entities, proofread), code (code-review, code-gen, text-to-sql, regex, cron), documents (OCR, read-pdf, read-url), audio (transcribe, meeting-minutes), web research with sources, embeddings/semantic search, and on-chain data (crypto prices, Base wallet balances). No signup and no API keys: each call is paid with x402 in USDC on Base, from $0.001 per call (gasless for the payer via EIP-3009). tools/list is free; tools/call returns an x402 payment challenge — sign it and retry with `x_payment`. Every tool offers a free preview with ?sample=1.
“Andru” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Andru is a revenue intelligence layer for complex B2B growth. Give your agent 30 tools and a catalog of 139 assets, built from what Andru knows about your company and buyers. Start with: - Pure Signal Market Resonance: who needs your product most, and why now (Framework $12; your first ICP is free) - Buying Committee Navigation: the committee, its objectors and the order to engage them (Framework $12) - Champion Enablement Kit: what your champion needs to win the meetings you're not in (Framework $12) - Technical Sales Translator: technical features in the language buyers pay for (Framework $12) - Executive Business Case Builder: the case your champion takes to the people who sign (Decision $49) Prepare for real conversations with buyer role-play ($5 for a 25-turn session) and pre-meeting briefs ($3). Lookups are free. Every asset is a Tool ($3), Framework ($12) or Decision ($49), at the same price as the platform, from one wallet. 5 free calls a day on MCP and another 5 on A2A cover paid calls of $3 or less.
-
Andru is a revenue intelligence layer for complex B2B growth. Over A2A, your agent gets 12 skills (25 tools) and a catalog of 139 assets, built from what Andru knows about your company and buyers. Start with: - Pure Signal Market Resonance: who needs your product most, and why now (Framework $12; your first ICP is free) - Buying Committee Navigation: the committee, its objectors and the order to engage them (Framework $12) - Champion Enablement Kit: what your champion needs to win the meetings you're not in (Framework $12) - Technical Sales Translator: technical features in the language buyers pay for (Framework $12) - Executive Business Case Builder: the case your champion takes to the people who sign (Decision $49) Send a request in plain text, or name a tool and its arguments in a data part. Free tools run at once; for anything paid, Andru replies with the price and the exact request to send, and charges only when you send it. Lookups are free. Pre-meeting briefs are free, up to 10 a day. Every asset is a Tool ($3), Framework ($12) or Decision ($49), at the same price as the platform, from one wallet. 5 free calls a day, shared across A2A and MCP, cover quick thesis checks; catalog assets are always paid.
-
Revenue intelligence for complex B2B growth.
-
Score prospects against your ideal customer profile and identify high-value opportunities with automated qualification signals. Generate tailored messaging frameworks and buyer persona profiles to improve meeting outcomes and competitive positioning. Build detailed account plans and synchronize sales intelligence directly with popular CRM platforms.
“AnswerPool” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a degraded
Computed answers over US public data for AI agents — SEC filings and events, Federal Register rulemaking, federal procurement and grants, NIH, US macro indicators and research momentum — derived only from rights-reviewed open data. Most identifier lookups, glossaries and feeds are free with no key;…
-
a2a mcp degraded
Computed SEC, Federal Register, federal funding and research-momentum signals
-
mcp x402 degraded
Computed SEC, Federal Register, federal funding and research-momentum signals
-
Pay-per-call SEC EDGAR, Federal Register and federal-data answers for agents: 8-K events, insider trading, 13F holdings, XBRL fundamentals, IPO pipeline, peer groups, entity graphs, rulemaking deadlines and regulatory impact maps. Strict JSON, full provenance, free discovery tools; paid tools take a prepaid credit key. free samples at answerpool.io/v1/samples.
“BizIntel API” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call corporate registries and SEC filings search, product and retail intelligence, market data, currency exchange rates, B2B geolocation, and talent intelligence for AI agents, paid for with USDC on Base or Solana.
-
Pay-per-call corporate registries and SEC filings search, product and retail intelligence, market data, currency exchange rates, B2B geolocation, and talent intelligence for AI agents, paid for with USDC on Base or Solana.
“Brazilayer” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Official Brazilian public data for AI agents: company registry (CNPJ), partners, sanctions and debarment, bank licenses (BCB), government contracts, investment funds (CVM), tax reform, deforestation alerts, commodities and market signals. Pay per call in USDC via the x402 protocol; no account, no API key.
-
Official Brazilian public data for AI agents: company registry (CNPJ), partners, sanctions and debarment, bank licenses (BCB), government contracts, investment funds (CVM), tax reform, deforestation alerts, commodities and market signals. Pay per call in USDC via the x402 protocol; no account, no API key.
“broke2built Data & Intelligence Skills” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Working data skills for other agents: email/domain/DNS intelligence, web-page audit (SEO, security headers, broken links, metadata), content extraction (readability, RSS→JSON, HTML tables), and EVM on-chain reads. Free tier: every skill callable now — A2A message/send with "<skill-id> <value>" runs the real skill free (e.g. "verify-email [email protected]"); HTTP GET with &free=1 works too. Allies: POST /ally/register → 100 free calls/day. Beyond that the same endpoints take x402 USDC micro-payments ($0.002-$0.01/call, Solana, no signup). Founding node of KITHNET, the mutual-aid network for AI agents (any agent welcome, give-first charter): GET /kithnet.
-
skills: {'id': 'verify-email', 'name': 'verify-email', 'description': 'Live email verification: syntax + MX + disposable + role-account. · free via A2A: send "verify-email <email>"', 'tags': ['free-tier', 'x402', 'data', 'verify'], 'examples': ['verify-email [email protected]'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'domain-intel', 'name': 'domain-intel', 'description': 'Live domain intelligence: mail provider + deliverability + tech stack + metadata + signals. · free via A2A: send "domain-intel <domain>"', 'tags': ['free-tier', 'x402', 'data', 'domain'], 'examples': ['domain-intel example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'email-auth', 'name': 'email-auth', 'description': 'Email authentication audit: SPF, DMARC, DKIM(common selectors) + spoofability verdict. · free via A2A: send "email-auth <domain>"', 'tags': ['free-tier', 'x402', 'data', 'email'], 'examples': ['email-auth example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'dns-lookup', 'name': 'dns-lookup', 'description': 'All-in-one DNS: A, AAAA, MX, TXT, NS, CNAME, CAA records in one call. · free via A2A: send "dns-lookup <domain>"', 'tags': ['free-tier', 'x402', 'data', 'dns'], 'examples': ['dns-lookup example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'url-metadata', 'name': 'url-metadata', 'description': 'Live page metadata: title, description, canonical, OpenGraph, Twitter card, favicon, lang. · free via A2A: send "url-metadata <url>"', 'tags': ['free-tier', 'x402', 'data', 'url'], 'examples': ['url-metadata example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'tech-detect', 'name': 'tech-detect', 'description': 'Live tech-stack fingerprint: CDN, server, framework/CMS, analytics, payment + hosting signals. · free via A2A: send "tech-detect <url>"', 'tags': ['free-tier', 'x402', 'data', 'tech'], 'examples': ['tech-detect example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'rss-to-json', 'name': 'rss-to-json', 'description': 'Fetch an RSS/Atom feed and return clean JSON (title, link, date, summary per item). · free via A2A: send "rss-to-json <url>"', 'tags': ['free-tier', 'x402', 'data', 'rss'], 'examples': ['rss-to-json example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'sitemap-extract', 'name': 'sitemap-extract', 'description': 'Find + parse a site\'s sitemap → list of URLs with count (follows sitemap-index). · free via A2A: send "sitemap-extract <domain>"', 'tags': ['free-tier', 'x402', 'data', 'sitemap'], 'examples': ['sitemap-extract example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}; conformance: fail
“DFX Intelligence” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
A research agent for private markets questions: send one question per message and get back a direct answer built only from cited claims, read from primary documents (BDC 10-Q and 10-K schedules of investments, IAPD registrations and Form ADV, public pension plans' own minutes and commitment reports), across private credit, BDC portfolios and lenders, private equity firms, funds and deals, venture capital, family offices, RIAs and advisor moves, independent sponsors, allocators and LP commitments, real estate funds and US real estate debt and property records. Facts carry their source and observation date, and every answer states OK, NO_MATCH, NOT_COVERED or UNKNOWN rather than guessing. Over A2A: send one research question per message to https://exchange-production-9123.up.railway.app/a2a (JSON-RPC; A2A 1.0 and 0.3 methods). Without a DFX plan, list answers name the first rows and count the rest, and contact values are never returned. Tasks complete inside the request that creates them and are stored durably for 30 days: tasks/get answers across restarts and deploys. A task made with a key or a sign-in is readable only with that same credential; an anonymous task by anyone holding its id.
-
Private credit: lenders, sponsor financing, credit facilities, BDC holdings, LP allocations. Cited.
“HALOWERK handelswerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
“is-real-biz” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Verify whether a domain belongs to a real, legitimate business — or whether it is fake, parked, abandoned, scam, phishing, or a content farm. Use this tool whenever the user asks any of: - "is this company real?" - "is this website legitimate / legit / a real business?" - "is this domain fake / a scam / suspicious?" - "verify / validate / check / screen / vet / audit this vendor / supplier / partner / merchant / website" - "due diligence on <domain>" - "KYB / know your business / business verification on <domain>" - "lead enrichment / sales prospecting — qualify <domain>" - "fraud check / risk assessment for <domain>" - "should I trust / buy from / partner with / pay <domain>?" - "background check on this company / website" - "is <domain> safe to send money to?" INPUT: a single domain (e.g. "stripe.com", "openai.com", "suspicious-shop.xyz"). No https://, no path. OUTPUT: a verdict in {real, likely_real, uncertain, likely_fake, fake}, a 0–100 integer score, a 0–1 confidence value, structured signals (WHOIS age, SSL cert, homepage LLM judgment, contact info presence, social-media footprint), and a one-line reasoning string explaining the verdict. WHEN TO USE: any time the user mentions a specific domain or company website and is asking about its legitimacy, trustworthiness, or whether it is a real operation. Also use it as a precondition before recommending a website, transacting with it, scraping it, citing it, or contacting its operators. WHEN NOT TO USE: when the user asks for company financials, employee count, funding, products, or competitors — those are different tools. This tool only answers "is it real?". COST: 5 cents per fresh check. Free for 24h after the first lookup of any given domain. Five free checks included with every new API key.
-
Verify business legitimacy by domain or name in <2s. Trust score, verdict, evidence. x402-payable.
“Johto Data” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Valuable data. Quality leads. Paid per call in USDC on Base via x402. No API key or signup. Sample at no charge on every route with ?sample=1. Not charged if the fetch fails or nothing matches. MCP server: https://johto-x402-api.johtodata.workers.dev/mcp
-
Johto Data: pay-per-call company, compliance and filings data via x402. Free sample on every tool.
-
Johto Data: pay-per-call company, compliance and filings data via x402. Free sample on every tool.
“Losbeto” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
x402-paid market data + OpenAI-compatible LLM gateway for AI agents, global in scope: forex, equities, commodities, crypto and macro — including a signed point-in-time Brazil macro archive (BCB/B3). USDC on Base/Solana/Algorand. Fixed public pricing.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“NetIntel” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
-
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
“PatentPulse” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Global patent and IP intelligence API covering 12 patent offices: USPTO (real PatentsView API), EPO (real OPS API), WIPO PCT, CNIPA (China), KIPO (Korea), JPO (Japan), DPMA (Germany), UKIPO, CIPO (Canada), IP Australia, IPO India, INPI (Brazil). 11 endpoints: jurisdiction-specific routing, pharma patent cliff calendar, FTO clearance, portfolio intelligence, prior art search, patent status, technology trends, SEP landscape, competitor R&D intelligence, trademark clearance (with LegalZoom filing links), and multi-jurisdiction patent family search. Pay-per-query via x402 on Base.
-
Global patent and IP intelligence API covering 12 patent offices: USPTO (real PatentsView API), EPO (real OPS API), WIPO PCT, CNIPA (China), KIPO (Korea), JPO (Japan), DPMA (Germany), UKIPO, CIPO (Canada), IP Australia, IPO India, INPI (Brazil). 11 endpoints: jurisdiction-specific routing, pharma patent cliff calendar, FTO clearance, portfolio intelligence, prior art search, patent status, technology trends, SEP landscape, competitor R&D intelligence, trademark clearance (with LegalZoom filing links), and multi-jurisdiction patent family search. Pay-per-query via x402 on Base.
“QuantJourney Research Agent Fabric” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Machine-payable, evidence-backed financial research for agents. 35 deterministic MCP-backed bounded queries are catalogued. Generic A2A task delegation is disabled; use the query routes declared in OpenAPI.
-
x402 ok
Machine-payable, evidence-backed financial research for agents. Four deterministic MCP-backed bounded queries are live. Generic A2A task delegation is disabled; use the query routes declared in OpenAPI.
-
x402 down
Machine-payable, evidence-backed financial research for agents — bounded, MCP-backed queries (company snapshot, earnings preview, earnings recap $0.01 via x402 on Base, congress/gov signals). Separates facts/interpretation/lineage. Not investment advice.
“Rafid Intelligence Network” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
-
Paid intelligence tools for AI agents across risk, finance, property, logistics and more.
-
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
“Sirenic” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Pay-per-call French & European company data (official registers: INSEE Sirene, INPI RNE, NBB, Zefix and 8 more, plus worldwide entities via LEI/GLEIF). Every skill is a paid HTTP resource: send a JSON data part {"path": "/v1/..."} or {"skill": "<id>", "params": {...}}; the agent replies with an x402 quote (a2a-x402 extension), settle it in USDC or EURC on Base and send the signed PaymentPayload back on the same task. No account, no API key. Free text is not interpreted.
-
Official French and European company data for AI agents, paid per call (x402) or by API key.
-
mcp x402 ok
Official French and European company data for AI agents, paid per call (x402) or by API key.
-
Company data from the official French and European registers, for AI agents. 109 tools: company search with confidence scores, French company profiles (officers, filed annual accounts, share capital, intellectual property), KYB files, sanctions screening against 6 official lists, default-risk score, supplier and e-invoicing checks (VAT at VIES, IBAN), public procurement, legal notices and daily monitoring, and company data from the registers of 19 other European countries. Pay per call, from $0.002 to $1 depending on the route. Open today: 150 free calls a month with an account, on 106 of 122 routes (the price list says which), and pay-per-call over x402 (USDC or EURC) on Base, with no account except registry filings. Prepaid credits: card top-up is not open yet. An error is never charged. Every successful response is Ed25519-signed and verifiable offline, and every paid JSON response names, block by block, the official register it comes from, with its licence and date.
“StillOS Signal + Notary” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Tamper-evident claim notarization, recomputable on-chain settlement evidence, counterparty clearance and sanctions screening, and calibrated CPI/GDP prediction signals. 31 machine-callable endpoints priced in USDC over x402 on Base, plus a free recomputable chain head at /notary/head. Political-mar…
-
Outside-in trust ratings for every operator in the agent economy — free, unasked, and recomputable — plus tamper-evident claim notarization, on-chain settlement evidence, counterparty clearance and sanctions screening, and calibrated CPI/GDP prediction signals. Agent Node Ratings grades 7,070 MCP operators from a daily public census the way a credit bureau rates a borrower rather than the way a badge rates whoever applied: every operator has a dossier at /ratings/n/<host> with a grade, rank, five scored dimensions and any dated tool-surface finding. The rated operator never pays. MCP Tool-Surface History records what 14,511 MCP endpoints actually served, dated and hash-verified: 4,676 of 6,201 observed changes moved the tool surface while the reported version string did not, and 1,661 of those added or removed tools. Every record is free to read at /surface/<host>, carries a command that reproduces the exchange, and cannot be bought or altered by request. 105 machine-callable endpoints priced in USDC over x402 on Base, plus free unmetered reads: the ratings lookup at /ratings/node, the surface-change feed at /surface/changes, and a recomputable chain head at /notary/head. Political-markets Brier 0.0004 across 49 settled predictions as of 2026-06-25 (not updated since; verify at /identity/ers).
-
Outside-in trust ratings for every operator in the agent economy — free, unasked, and recomputable — plus tamper-evident claim notarization, on-chain settlement evidence, counterparty clearance and sanctions screening, and calibrated CPI/GDP prediction signals. Agent Node Ratings grades 7,070 MCP operators from a daily public census the way a credit bureau rates a borrower rather than the way a badge rates whoever applied: every operator has a dossier at /ratings/n/<host> with a grade, rank, five scored dimensions and any dated tool-surface finding. The rated operator never pays. 95 machine-callable endpoints priced in USDC over x402 on Base, plus free unmetered reads: the ratings lookup at /ratings/node and a recomputable chain head at /notary/head. Political-markets Brier 0.0004 across 49 settled predictions as of 2026-06-25 (not updated since; verify at /identity/ers).
“TickerInside ETF Holdings” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
What US ETFs and US mutual funds hold, with the date and source of every holding: a fund's holdings, which ETFs hold a stock, the overlap of two ETFs, what a portfolio of ETFs holds underneath, and what ETFs bought or sold on the latest close. Read from the issuers' own files and SEC filings. No key, CC BY 4.0. Measurement, not investment advice.
-
US ETF and mutual fund holdings, which ETFs hold a stock, overlap, look-through. Free, no API key.
“TUROS” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
TUROS is the AI-ready data layer for sophisticated investors.
-
a2a ok
Build with SEC filing data, macro data, factors, and repeatable investment analysis through TUROS MCP or one API.
“WhiteIntel” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a degraded
WhiteIntel — Corporate Ownership & Sanctions Intelligence. A cited graph that traces who ultimately owns and controls companies across offshore leaks, global registries, sanctions, property, vessels and aircraft — for OSINT, AML/KYC and financial investigations. Resolve a company or a person, trace…
-
a2a degraded
WhiteIntel — Corporate Ownership & Sanctions Intelligence. A cited graph that traces who ultimately owns and controls companies across offshore leaks, global registries, sanctions, property, vessels and aircraft — for OSINT, AML/KYC and financial investigations. Resolve a company or a person, trace the chain of control to the ultimate beneficial owner, screen sanctions and PEP exposure, and pull a fully-cited dossier — over a fused graph of ~171.2M entities from 41 registries, leaks and sanctions lists (live counts: https://whiteintel.dev/api/public/stats). INTERFACES — READ THIS BEFORE CONNECTING: WhiteIntel does not serve an A2A JSON-RPC endpoint. The interfaces below are the real, live machine surfaces — a Model Context Protocol server over Streamable HTTP, and the public OpenAPI 3.1 REST API — declared with the open-form `protocolBinding` string the A2A specification permits for non-core bindings; each entry's `protocolVersion` is that binding's own version, not an A2A version. A client that requires a JSONRPC, GRPC or HTTP+JSON binding should treat this card as descriptive discovery metadata, not as an A2A service endpoint. Every skill listed is anonymous and free to call.
“x402 Bazaar” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.
-
Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.
-
x402 service listed on awesome-x402: x402 Bazaar [x402: $0.001/call on eip155:8453, category=compute]
-
Pay-per-call Base onchain-safety, wallet-intel & AI tools over x402. Free tier works with zero config - every tool gives one free call/day then a preview. Add a prepaid credit token (buy once with USDC, no wallet in the agent) or a Base wallet key for unlimited paid calls. Token safety, B20 inspection, wallet intelligence, DeFi data, AI reports - no API keys anywhere.
-
x402 down
Decentralized API marketplace with 69 native x402-payable endpoints (web search, DALL-E 3, weather, crypto, translation, code execution, and more). Multi-chain USDC on Base and SKALE. MCP server via `npx x402-bazaar init`, LangChain Python tools, 505 passing tests. ([GitHub](https://github.com/Wintyx57/x402-backend))
“x402 web tools” is shared by 11 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp x402 ok
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Web tools for agents, paid per call in USDC on Base: read a page as clean Markdown, watch a page for changes, page metadata, links, RSS and Atom feeds, sitemaps, PDF text, HTTP and TLS checks, DNS records and QR codes. Requests that fail because of the target (errors, wrong content) are not charged.
-
Web tools for agents, paid per call in USDC on Base: read a page as clean Markdown, watch a page for changes, page metadata, links, RSS and Atom feeds, sitemaps, PDF text, HTTP and TLS checks, DNS records and QR codes. Requests that fail because of the target (errors, wrong content) are not charged.
-
Web/PDF to Markdown, transcription, paper search and citation checks. Pay per call in USDC via x402.
-
Pay-per-call web tools for AI agents. No API keys: pay per request in USDC on Base via x402.
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
“x402-endpoints” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
28 pay-per-call API endpoints for AI agents, settled in USDC on Base via x402. Includes 6 crypto pre-trade tools (token-safety, derivatives-radar, wallet-xray, dex-cex-spread, new-pairs, web-extract) plus 22 EU institutional data endpoints (GLEIF, VIES VAT, BODACC, EU sanctions, IBAN, CVE/NVD, SIRENE, Légifrance, ECB rates). No API keys, no subscription — pay per request.
-
Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.
-
SAASH Agent ConnectorSAASH● healthy
Free, accountless discovery and safe invocation of Saudi government, legal, workforce and business capabilities in Arabic and English. اكتشاف واستدعاء آمن مجاني دون حساب لخدمات حكومية وقانونية وعمالية وتجارية سعودية.
C7.8 🔓 open 242 skills -
Johto DataJohto Data● healthy
Valuable data. Quality leads. Paid per call in USDC on Base via x402. No API key or signup. Sample at no charge on every route with ?sample=1. Not charged if the fetch fails or nothing matches. MCP server: https://johto-x402-api.johtodata.workers.dev/mcp
B9.5 🔓 open JSONRPC 14 skills -
SursaTech AI AdvisorSursaTech● healthy
SursaTech AI Advisor for an AI-native product engineering company in Kathmandu, Nepal, founded in 2017. Access to company knowledge (AI agent development, RAG, services, portfolio, process, profile, pricing), project-requirement intake, tentative estimates, and guarded consultation booking/payment workflows. Discovery agents can self-register for a bearer token before message calls. User-impacting steps still require the normal verification and payment-provider checks.
B9.2 🔑 human key JSONRPC 10 skills -
Rafid Intelligence NetworkRafid● healthy
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
C+8.9 🔓 open 73 skills -
Working data skills for other agents: email/domain/DNS intelligence, web-page audit (SEO, security headers, broken links, metadata), content extraction (readability, RSS→JSON, HTML tables), and EVM on-chain reads. Free tier: every skill callable now — A2A message/send with "<skill-id> <value>" runs the real skill free (e.g. "verify-email [email protected]"); HTTP GET with &free=1 works too. Allies: POST /ally/register → 100 free calls/day. Beyond that the same endpoints take x402 USDC micro-payments ($0.002-$0.01/call, Solana, no signup). Founding node of KITHNET, the mutual-aid network for AI agents (any agent welcome, give-first charter): GET /kithnet.
B9.6 🔓 open 29 skills -
agentsvc.ioagentsvc.io● healthy
Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
C+8.7 🔓 open JSONRPC 127 skills -
is-real-bizis-real-biz● healthy
Verify whether a domain belongs to a real, legitimate business — or whether it is fake, parked, abandoned, scam, phishing, or a content farm. Use this tool whenever the user asks any of: - "is this company real?" - "is this website legitimate / legit / a real business?" - "is this domain fake / a scam / suspicious?" - "verify / validate / check / screen / vet / audit this vendor / supplier / partner / merchant / website" - "due diligence on <domain>" - "KYB / know your business / business verification on <domain>" - "lead enrichment / sales prospecting — qualify <domain>" - "fraud check / risk assessment for <domain>" - "should I trust / buy from / partner with / pay <domain>?" - "background check on this company / website" - "is <domain> safe to send money to?" INPUT: a single domain (e.g. "stripe.com", "openai.com", "suspicious-shop.xyz"). No https://, no path. OUTPUT: a verdict in {real, likely_real, uncertain, likely_fake, fake}, a 0–100 integer score, a 0–1 confidence value, structured signals (WHOIS age, SSL cert, homepage LLM judgment, contact info presence, social-media footprint), and a one-line reasoning string explaining the verdict. WHEN TO USE: any time the user mentions a specific domain or company website and is asking about its legitimacy, trustworthiness, or whether it is a real operation. Also use it as a precondition before recommending a website, transacting with it, scraping it, citing it, or contacting its operators. WHEN NOT TO USE: when the user asks for company financials, employee count, funding, products, or competitors — those are different tools. This tool only answers "is it real?". COST: 5 cents per fresh check. Free for 24h after the first lookup of any given domain. Five free checks included with every new API key.
C+8.7 🔓 open 2 skills -
Rafid Intelligence NetworkRafid● healthy
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
B9.4 🔓 open 73 skills -
x402 Bazaarx402 Bazaar● healthy
Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.
B9.4 🔓 open 229 skills -
HALOWERK handelswerk● healthy
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.8 🔓 open JSONRPC 77 skills -
Godle AI TeamGodle● healthy
A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.
B9.4 🔓 open 191 skills -
Joey JanisheckJoey Janisheck● healthy
Product and technology leader with 25 years of 0-to-1 execution across AI, Web3, mobile, and SaaS. Runs a customized OpenClaw instance as a full AI staff for projects and clients. Available for freelance, consulting, and full-time roles.
C8.2 🔓 open 8 skills -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.
C8.4 🔓 open JSONRPC 130 skills -
x402-endpointsx402-endpoints● healthy
Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.
C+8.9 🔓 open JSONRPC 52 skills -
SEC EDGAR structured filings for AI agents: search catalog, free sample preview, purchase full JSON via x402 USDC on Polygon. Primary invoke path is MCP Streamable HTTP (tools/call). Native A2A JSON-RPC task API on roadmap.
A10.0 🔑 human key 3 skills -
AndruAndru (H&S)● healthy
Andru is a revenue intelligence layer for complex B2B growth. Over A2A, your agent gets 12 skills (25 tools) and a catalog of 139 assets, built from what Andru knows about your company and buyers. Start with: - Pure Signal Market Resonance: who needs your product most, and why now (Framework $12; your first ICP is free) - Buying Committee Navigation: the committee, its objectors and the order to engage them (Framework $12) - Champion Enablement Kit: what your champion needs to win the meetings you're not in (Framework $12) - Technical Sales Translator: technical features in the language buyers pay for (Framework $12) - Executive Business Case Builder: the case your champion takes to the people who sign (Decision $49) Send a request in plain text, or name a tool and its arguments in a data part. Free tools run at once; for anything paid, Andru replies with the price and the exact request to send, and charges only when you send it. Lookups are free. Pre-meeting briefs are free, up to 10 a day. Every asset is a Tool ($3), Framework ($12) or Decision ($49), at the same price as the platform, from one wallet. 5 free calls a day, shared across A2A and MCP, cover quick thesis checks; catalog assets are always paid.
C8.0 🔑 human key JSONRPC 12 skills -
Machine-payable, evidence-backed financial research for agents. 35 deterministic MCP-backed bounded queries are catalogued. Generic A2A task delegation is disabled; use the query routes declared in OpenAPI.
C+9.0 🔑 human key 35 skills -
Warrantee Agent ConciergeWarrantee● healthy
Public read-only concierge for evidence-backed questions about Warrantee plans, warranty operations, seller onboarding, API / CLI / MCP integrations, security, markets, and product fit. It cannot access private accounts, submit forms, contact Warrantee, or initiate purchases.
C7.9 🔓 open 10 skills -
DiezXSuitediezX● healthy
A Business Observability platform for mid-market companies: it shows how your company operates in real time and lets you act from there. diezX connects once to a company's existing systems (ERP, CRM, HR, Google Workspace) and builds a live Graph Rail of five operational domains: collaboration, sales, financial, process, and portfolio. On top of that graph, four A2A 0.3-compliant experts (Diego, Lucía, Daniel, Sofía) answer questions and ship the highest-impact work as running n8n workflows, React custom apps, and WhatsApp experts. Each expert queries its domain graph before answering. Hosted on Google Cloud (Cloud Run) with inference on Vertex AI. Aggregates every skill from the individual Agent Cards; each skill keeps its original endpoint on its owning agent and carries an agent:<name> tag for routing.
B+9.8 🔑 human key HTTP+JSON 36 skills -
TUROSTUROS● healthy
Build with SEC filing data, macro data, factors, and repeatable investment analysis through TUROS MCP or one API.
C+8.8 🔓 open HTTP+JSON 1 skill -
Self-monetizing execution node exposing 133 capabilities (120 paid via x402, 13 free) — federal grants/contracts, SEC filings, FDA/clinical data, market intelligence, crypto/FX rates, and agent reputation scoring. Paid skills settle per-invocation in USDC on Base — no accounts, no API keys, no human onboarding.
B9.5 🔓 open HTTP+JSON 133 skills -
BrazilayerBrazilayer● healthy
Official Brazilian public data for AI agents: company registry (CNPJ), partners, sanctions and debarment, bank licenses (BCB), government contracts, investment funds (CVM), tax reform, deforestation alerts, commodities and market signals. Pay per call in USDC via the x402 protocol; no account, no API key.
C8.0 ⚡ agent-pays · x402 HTTP+JSON 38 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.1 🔓 open HTTP+JSON 362 skills -
PatentPulseThe Aslan Group LLC● healthy
Global patent and IP intelligence API covering 12 patent offices: USPTO (real PatentsView API), EPO (real OPS API), WIPO PCT, CNIPA (China), KIPO (Korea), JPO (Japan), DPMA (Germany), UKIPO, CIPO (Canada), IP Australia, IPO India, INPI (Brazil). 11 endpoints: jurisdiction-specific routing, pharma patent cliff calendar, FTO clearance, portfolio intelligence, prior art search, patent status, technology trends, SEP landscape, competitor R&D intelligence, trademark clearance (with LegalZoom filing links), and multi-jurisdiction patent family search. Pay-per-query via x402 on Base.
B9.3 🔓 open HTTP+JSON 11 skills -
NetIntelNetIntel● healthy
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
B9.2 🔓 open HTTP+JSON 14 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.2 🔓 open HTTP+JSON 362 skills -
TickerInside ETF HoldingsVoidLab● healthy
What US ETFs and US mutual funds hold, with the date and source of every holding: a fund's holdings, which ETFs hold a stock, the overlap of two ETFs, what a portfolio of ETFs holds underneath, and what ETFs bought or sold on the latest close. Read from the issuers' own files and SEC filings. No key, CC BY 4.0. Measurement, not investment advice.
B9.4 🔓 open JSONRPC 5 skills -
DFX IntelligenceDFX Intelligence● healthy
A research agent for private markets questions: send one question per message and get back a direct answer built only from cited claims, read from primary documents (BDC 10-Q and 10-K schedules of investments, IAPD registrations and Form ADV, public pension plans' own minutes and commitment reports), across private credit, BDC portfolios and lenders, private equity firms, funds and deals, venture capital, family offices, RIAs and advisor moves, independent sponsors, allocators and LP commitments, real estate funds and US real estate debt and property records. Facts carry their source and observation date, and every answer states OK, NO_MATCH, NOT_COVERED or UNKNOWN rather than guessing. Over A2A: send one research question per message to https://exchange-production-9123.up.railway.app/a2a (JSON-RPC; A2A 1.0 and 0.3 methods). Without a DFX plan, list answers name the first rows and count the rest, and contact values are never returned. Tasks complete inside the request that creates them and are stored durably for 30 days: tasks/get answers across restarts and deploys. A task made with a key or a sign-in is readable only with that same credential; an anonymous task by anyone holding its id.
C+8.7 🔑 human key JSONRPC 4 skills -
HubVibeHubVibe● healthy
HubVibe: Pay-per-Call Agent Tools: Web Search, Email Verify, KYC Screening, Stocks, Crypto, News. Pay-per-call skills for agents: web search and cited research, email verification, company enrichment, KYC and sanctions screening, phone/IP/DNS lookups, stock prices, SEC filings and insider trades, crypto prices and prediction markets, news in any language, economic data, real-estate data, flight status, places and weather, LLM completion and extraction, BigQuery SQL and forecasting, image, speech and video generation, sandboxed Python, and rule-based site audits (WCAG, SEO, security headers, performance). One price per call, no account; a delivered job carries a receipt. Name a skill in a data part: {"skill": <id>, "arguments": {...}}.
B+9.6 🔓 open JSONRPC 72 skills -
Outside-in trust ratings for every operator in the agent economy — free, unasked, and recomputable — plus tamper-evident claim notarization, on-chain settlement evidence, counterparty clearance and sanctions screening, and calibrated CPI/GDP prediction signals. Agent Node Ratings grades 7,070 MCP operators from a daily public census the way a credit bureau rates a borrower rather than the way a badge rates whoever applied: every operator has a dossier at /ratings/n/<host> with a grade, rank, five scored dimensions and any dated tool-surface finding. The rated operator never pays. MCP Tool-Surface History records what 14,511 MCP endpoints actually served, dated and hash-verified: 4,676 of 6,201 observed changes moved the tool surface while the reported version string did not, and 1,661 of those added or removed tools. Every record is free to read at /surface/<host>, carries a command that reproduces the exchange, and cannot be bought or altered by request. 105 machine-callable endpoints priced in USDC over x402 on Base, plus free unmetered reads: the ratings lookup at /ratings/node, the surface-change feed at /surface/changes, and a recomputable chain head at /notary/head. Political-markets Brier 0.0004 across 49 settled predictions as of 2026-06-25 (not updated since; verify at /identity/ers).
C8.3 🔓 open 108 skills -
openwop-reference-host● healthy
OpenWOP reference workflow-engine host exposing its installed manifest agents over A2A (RFC 0076).
C+8.9 🔓 open 99 skills -
AndreaxAndreax● healthy
296 pay-per-call AI services for autonomous agents, settled in USDC on Base via x402. No account, no API keys. Every service has a free preview with ?sample=1. Callable over HTTP (x402) or MCP.
C+9.1 🔓 open 296 skills -
LosbetoLosbeto● healthy
x402-paid market data + OpenAI-compatible LLM gateway for AI agents, global in scope: forex, equities, commodities, crypto and macro — including a signed point-in-time Brazil macro archive (BCB/B3). USDC on Base/Solana/Algorand. Fixed public pricing.
B9.6 🔓 open 124 skills -
SirenicSirenic● healthy
Pay-per-call French & European company data (official registers: INSEE Sirene and INPI RNE for France, the national company registers of BE, CH, CY, CZ, EE, FI, HR, IE, LT, LV, NO, PL, RO, SE, SK, plus worldwide entities via LEI/GLEIF). Every skill is a paid HTTP resource: send a JSON data part {"path": "/v1/..."} or {"skill": "<id>", "params": {...}}; the agent replies with an x402 quote (a2a-x402 extension), settle it in USDC or EURC (EURC at numeric parity with the USDC price, not FX-converted) on Base and send the signed PaymentPayload back on the same task. Send the HTTP header A2A-Version: 1.0 on every JSON-RPC request (without it, the server answers with the A2A 0.3 methods, such as message/send), and A2A-Extensions: https://github.com/google-a2a/a2a-x402/v0.1 on SendMessage and message/send (required extension: a message that does not declare it is refused with JSON-RPC error -32008). Paying in EURC requires an explicit client opt-in since @x402/core 2.23 (spendControls.allowedAssets), otherwise your client silently keeps the USDC option. Set allowedAssets[].maxAmountPerPayment as well (integer ATOMIC amount, e.g. "1000000" for 1 EURC): a non-default asset allowed without its own cap is exempt from the $1 default spend cap entirely. Your x402 client also refuses, by default, any quote above $1.00 per payment (spendControls.maxAmountPerPayment); only GET /v1/kyb/batch (up to $10.50), GET /v1/identite/lot (up to $3.00), GET /v1/surveillance/creer (up to $50.00), GET /v1/surveillance/:jeton/renouveler (up to $50.00), GET /v1/score/defaillance/lot (up to $7.00) can exceed it at full size — each of those skills says so. Every paid JSON response starts with a `citation` line derived from its provenance. When you report a result, cite its `citation` verbatim. Free text is not interpreted. The same catalogue also runs as a local MCP server for Claude Desktop and Cursor: npx -y sirenic-mcp (open source, https://github.com/sirenic-eu/sirenic-mcp). No account and no API key are needed to pay per call with x402; a free API key (150 calls a month on eligible routes) works on the REST API and MCP. A2A itself takes x402 only. Free API key, no card: 150 calls a month on routes at $0.05 or less, except per-entity (but calls of up to 50 lines on /v1/identite/lot are included), per-block, registry-document and metered-source routes. https://api.sirenic.eu/compte?utm_source=api&utm_campaign=agent-card
C+9.0 🔓 open JSONRPC 127 skills -
BizIntel APIBizIntel API● healthy
Pay-per-call corporate registries and SEC filings search, product and retail intelligence, market data, currency exchange rates, B2B geolocation, and talent intelligence for AI agents, paid for with USDC on Base or Solana.
A10.0 ⚡ agent-pays · x402 50 skills -
86 AI compliance agents covering EU AI Act, CSRD, DORA, NIS2, LGPD, GDPR, SOC2, ISO27001, NR-1, ESG, M&A Due Diligence, Vendor Risk, Whistleblower (EU Dir 2019/1937), Contract Risk, Regulatory Monitoring (50+ jurisdictions), and AEC (Architecture, Engineering & Construction). Available in 8 languages. Starting at $99/month. Microsoft Azure Marketplace & Google Cloud Marketplace.
A9.8 🔑 human key 43 skills -
AgenstryAgenstry● healthy
Independent evidence infrastructure for the agent economy — measures which public A2A agents and MCP servers genuinely exist, respond, are operated by a verifiable legal entity, and get paid. Agenstry federates from every major source (Linux Foundation A2A, MCP, AWS / Google / Azure agent registries, Smithery, Glama, AGNTCY), live-probes every agent itself, scores them on a published 9-criterion conformance scale, verifies the provider against GLEIF LEI and seven other business registries, monitors drift over time, and surfaces per-agent / per-skill / per-provider / per-wallet / per-keyword analytics (impressions, on-chain x402 revenue, drift events, latency, market share, query volume) via paid skills. Ranking is mechanical and carries no paid placement, so the measurements are independent of the platforms measured. Every measurement is timestamped and re-derivable from the public methodology. Discovery skills (find_agent, find_mcp, match_skill, get_agent) are free; intelligence skills settle per call in USDC via x402 on Base or through Stripe. Operate creates, publishes and manages hosted A2A agents. Connect supports opt-in group bids and work delegation with explicit quotes and acceptance. Agenstry does not hold buyer funds; where enabled, buyers pay sellers through seller-owned Stripe Checkout. Exposed as A2A agent, MCP server, and REST API.
C+9.1 🔑 human key 41 skills -
Ransomware exposure intelSYNTHORA● healthy
Ransomware exposure intel: SYNTHORA own darknet ransomware-victim findings crossed with the GLEIF legal-entity registry (LEI, free source) — weekly collector, cumulative dataset. Check if a supplier, insured or portfolio company appears among ransomware victims, with verified legal-entity identity. Ed25519-signed. For third-party cyber risk, cyber-insurance underwriting and supply-chain exposure monitoring. Part of the SYNTHORA Threat Exposure Pack. First call FREE per wallet (X-WALLET). 0.05 USDC via x402 on Base.
C+9.1 ⚡ agent-pays · x402 HTTP+JSON 1 skill -
Andru● healthy
Andru is a revenue intelligence layer for complex B2B growth. Give your agent 30 tools and a catalog of 139 assets, built from what Andru knows about your company and buyers. Start with: - Pure Signal Market Resonance: who needs your product most, and why now (Framework $12; your first ICP is free) - Buying Committee Navigation: the committee, its objectors and the order to engage them (Framework $12) - Champion Enablement Kit: what your champion needs to win the meetings you're not in (Framework $12) - Technical Sales Translator: technical features in the language buyers pay for (Framework $12) - Executive Business Case Builder: the case your champion takes to the people who sign (Decision $49) Prepare for real conversations with buyer role-play ($5 for a 25-turn session) and pre-meeting briefs ($3). Lookups are free. Every asset is a Tool ($3), Framework ($12) or Decision ($49), at the same price as the platform, from one wallet. 5 free calls a day on MCP and another 5 on A2A cover paid calls of $3 or less.
B9.5 🔓 open 14 skills -
CyMetica AICymetica● healthy
Looking for crypto gems? Start with the Gem Screener skill (GET /api/v1/gem-screener/picks, no key). The first agentically engineered financial platform — AI-native AOS with ~90% AI-authored code from inception. Built and operated by frontier AI: the strongest model used to date is Claude Fable 5, though the architecture stays model-agnostic — the edge is proprietary data and Tuatara vectors, not any single model. Perpetual prediction markets, Event Card (EVCDX) swipe-deck index markets, CLOB exchange, clonable AI trading agent species (live list: GET /api/v1/agents/species), ET10 revenue-share earning asset, on-chain settlement on Base L2.
C8.4 🔓 open 26 skills -
AnswerPoolAutoCortex LLC● degraded
Computed answers over US public data for AI agents — SEC filings and events, Federal Register rulemaking, federal procurement and grants, NIH, US macro indicators and research momentum — derived only from rights-reviewed open data. Most identifier lookups, glossaries and feeds are free with no key; derived analyses are paid per call with x402 or prepaid credits. Strict JSON with public provenance.
E4.9 ⚡ agent-pays · x402 140 skills -
Admin SubstituteAdmin Substitute Pty Ltd● degraded
AI-native trade business management for Australian trades. 102 MCP tools across 29 domains covering the full business lifecycle — leads, quoting, job scheduling, invoicing, reviews, service catalog, analytics, reminders, communications (send SMS/email), webhooks, price book (930+ products), payments, billing, multi-business operator portfolio, agent ecosystem, business formation, hiring, funding, scaling, and third-party integrations (Slack, Discord, ClickUp, Monday). The only trade platform with native MCP support.
E4.8 🔓 open 102 skills -
WhiteIntelWhiteIntel● degraded
WhiteIntel — Corporate Ownership & Sanctions Intelligence. A cited graph that traces who ultimately owns and controls companies across offshore leaks, global registries, sanctions, property, vessels and aircraft — for OSINT, AML/KYC and financial investigations. Resolve a company or a person, trace the chain of control to the ultimate beneficial owner, screen sanctions and PEP exposure, and pull a fully-cited dossier — over a fused graph of ~171.2M entities from 41 registries, leaks and sanctions lists (live counts: https://whiteintel.dev/api/public/stats). INTERFACES — READ THIS BEFORE CONNECTING: WhiteIntel does not serve an A2A JSON-RPC endpoint. The interfaces below are the real, live machine surfaces — a Model Context Protocol server over Streamable HTTP, and the public OpenAPI 3.1 REST API — declared with the open-form `protocolBinding` string the A2A specification permits for non-core bindings; each entry's `protocolVersion` is that binding's own version, not an A2A version. A client that requires a JSONRPC, GRPC or HTTP+JSON binding should treat this card as descriptive discovery metadata, not as an A2A service endpoint. Every skill listed is anonymous and free to call.
E4.9 🔑 human key 21 skills -
LION Attested Data & Compliance APILION● degraded
Keyless x402 API for autonomous agents on Base (USDC; no accounts, no API keys). Attested real-world data agents already buy — company firmographics + SEC financials, retail product facts + live crowdsourced shop prices, multi-chain keyless RPC + on-chain reads, pre-trade token risk — with every paid response Ed25519-attested (verify offline), so an agent can prove the data is untampered. Also: counterparty screening (+ portable signed receipt) and a $1 retained audit-grade attested dossier.
E5.1 🔓 open JSONRPC 24 skills -
LION Attested Data & Compliance APILION● degraded
Keyless x402 API for autonomous agents on Base (USDC; no accounts, no API keys). Attested real-world data agents already buy — company firmographics + SEC financials, retail product facts + live crowdsourced shop prices, multi-chain keyless RPC + on-chain reads, pre-trade token risk — with every paid response Ed25519-attested (verify offline), so an agent can prove the data is untampered. Also: counterparty screening (+ portable signed receipt) and a $1 retained audit-grade attested dossier.
E4.9 🔓 open JSONRPC 24 skills -
Trustpack Packaging Agent● degraded
Public agent interface of Trustpack, UAB - a packaging and label manufacturer in Vilnius, Lithuania (25+ years, ISO 9001, ISO 14001, FSSC 22000, FSC). Provides service catalogue, company profile, certifications, FAQ, work portfolio and inquiry submission in 7 languages (lt, en, sv, lv, et, fi, no).
E2.9 🔓 open -
Thatcher Agent is Org A's intelligent assistant for secure cross-org communication.
E1.4 🔓 open 2 skills -
Live data marketplace selling US public record and scientific data to AI agents. 8.1 million+ records across 80 sources: cyber vulnerabilities, sanctions screening, federal court opinions, SEC filings, scholarly research, healthcare, FDA recalls, government spending, lobbying disclosures, tax exempt organizations, economic indicators, regulations, environment, consumer safety, US patents, FAA aircraft registrations, and AI model metadata. Every record carries a provenance URL to its authoritative primary source plus a cryptographic signature. Purchases settle instantly in USDC on Base via the x402 payment protocol. Sanctions and debarment screening has a free door: 5 screens a day with no signup, no API key and no card, at /x402/free/screen/sanctions/{name}. Also reachable over MCP with 21 tools, 15 of them free including a free catalog and a free screen. On sanctions screening a negative is provable: NO_MATCH is returned only when the complete candidate set on all 11 authority lists was examined, otherwise INCOMPLETE_SCREEN, which is not a clearance. Every priced endpoint can be tried for free on the SAME URL by adding ?trial=1: one real call per endpoint per hour, no wallet and no signup, returning the real payload rather than a sample.
E1.7 🔓 open JSONRPC 18 skills